Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1013374 - Review Request: mariadb-mroonga - A fast fulltext searchable storage engine for MariaDB
Summary: Review Request: mariadb-mroonga - A fast fulltext searchable storage engine f...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-09-29 16:58 UTC by Kentaro Hayashi
Modified: 2016-02-13 20:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-13 20:48:11 UTC


Attachments (Terms of Use)

Description Kentaro Hayashi 2013-09-29 16:58:02 UTC
Spec URL: http://kenhys.fedorapeople.org/mroonga/mariadb-mroonga.spec
SRPM URL: http://kenhys.fedorapeople.org/mroonga/mariadb-mroonga-3.08-1.fc19.src.rpm
Description: Mroonga is a fast fulltext searchable storage plugin for MariaDB.
It is based on groonga that is a fast fulltext search engine and
column store. Groonga is good at real-time update.

Fedora Account System Username: kenhys

Comment 1 Kentaro Hayashi 2013-09-29 17:09:25 UTC
There are some errors, but they are derived from mariadb.

$ rpmlint -i RPMS/x86_64/mariadb-mroonga-*|grep E:
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/sql/multi_range_read.h
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/sql/sql_lifo_buffer.h
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/sql/gcalc_slicescan.h
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/include/maria.h
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/sql/sql_join_cache.h
mariadb-mroonga-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mariadb-5.5.32/sql/gcalc_tools.h

There are some warnings, but they are derived from sphix bundled javascript.

$ rpmlint -i RPMS/x86_64/mariadb-mroonga-*|grep W:
mariadb-mroonga.x86_64: W: spelling-error Summary(en_US) fulltext -> full text, full-text, teletext
mariadb-mroonga.x86_64: W: spelling-error Summary(en_US) searchable -> search able, search-able, unsearchable
mariadb-mroonga.x86_64: W: spelling-error %description -l en_US fulltext -> full text, full-text, teletext
mariadb-mroonga.x86_64: W: spelling-error %description -l en_US searchable -> search able, search-able, unsearchable
mariadb-mroonga.x86_64: W: spelling-error %description -l en_US groonga -> grooming
mariadb-mroonga.x86_64: W: spelling-error %description -l en_US Groonga -> Grooming
mariadb-mroonga.x86_64: W: obsolete-not-provided mysql-groonga
mariadb-mroonga-doc.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mariadb-mroonga-doc-3.08/ja/html/_static/jquery.js
mariadb-mroonga-doc.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mariadb-mroonga-doc-3.08/en/html/_static/jquery.js
[vagrant@fedora19-amd64 rpmbuild]$

Comment 2 Christopher Meng 2013-10-07 13:00:50 UTC
You should mark doc package as noarch, same to bug 1013375

Comment 3 Kentaro Hayashi 2013-10-10 13:51:29 UTC
(In reply to Christopher Meng from comment #2)
> You should mark doc package as noarch, same to bug 1013375

Thanks Christopher!

Here is the updated spec and SRPM.

Spec URL: http://kenhys.fedorapeople.org/mroonga/mariadb-mroonga.spec
SRPM URL: http://kenhys.fedorapeople.org/mroonga/mariadb-mroonga-3.08-2.fc19.src.rpm

- add BuildArch tag
- remove redundant clean section.

Comment 4 Michael S. 2014-01-13 00:06:08 UTC
    curl --output ../../SRPMS/$srpm %{mariadb_download_base_url}/$srpm
    rpm -Uvh ../../SRPMS/$srpm


this part is not gonna work in koji.

Comment 5 Honza Horak 2016-02-13 20:48:11 UTC
mroonga is now part of mariadb-server package, so closing this bug.


Note You need to log in before you can comment on or make changes to this bug.